#ifndef __display_h__
#define __display_h__

// ----------------------------------------------------------------------------
//   LCD functions
// ----------------------------------------------------------------------------
#include <inttypes.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include "typedefs.h"



//Globale Var:
typedef struct{
    unsigned char enablePattern; /* 0x20 fr oben  0x40 fr unten*/
    char 	  message[140]; //Platz fr das ganze Display und ein paar Steuercodes
    volatile unsigned char showMessage;
}Tlcd_glob;


extern Tlcd_glob lcdGlob;

void lcdInit(void);



//enablePattern muss fuer folgende Funktionen richtig gesetzt sein
void clearLcd(void);
void clearFullLcd(void);

void home1Lcd(void); //Set cursor at start of Line 1
void home2Lcd(void); //Set cursor at start of Line 2

#define  LCD_UPPER     lcdGlob.enablePattern = BIT0
#define  LCD_LOWER     lcdGlob.enablePattern = BIT1



void sendStringToLCD(char *str);
// ---------------------------------------------------------------------------
/*! Send byte to display.
    Depending on the value of LCD_RS the byte is written to display(LCD_RS=1) or register (LCD_RS=0)

   \param b is the byte to be send.
   \note the BUSY-Flag isn't ckecked (since we can't read from display with R/W hard-wired to GND)
*/// -------------------------------------------------------------------------
void lcdWrite(unsigned char b);
void sendMessageToLCD(void);

#endif
//EOF

